# Dantor's Mental Hospital

## Description:
Adds a new custom interior themed as a psyquiatric institution to explore and get lost. The map features a wide variety of rooms and corridors, dynamic props and variations while trying to keep it balanced

This is my first ever mod so bear with me

**Features:**
- Currently 13 different tiles (More planned)
- Long corridors with covers to protect yourself from Nutcrackers & Thumpers
- Randomized prop spawns to help making every tile feel different
- Dynamic Fire Exit spawns
- Jump tiles

**Planned:**
- Apparatus room tile
- More rooms
- Improved prop randomization
- (Maybe) map hazards
- (Maybe) more themes
## Screenshots:
![](https://i.ibb.co/NVw41JV/image-50.png)
![](https://i.ibb.co/XsMKpr9/image-62.png)
![](https://i.ibb.co/8mZV4Fd/image-58.png)

## Known Issues:
- Map generation is too big on small maps, works best on Rend, Dine and specially Titan
- Turrets can shoot through some small decoration props
- FPS can suffer on biggest map generations

## How to Install:
**Manual**
- Make sure you have [BepInEx](https://thunderstore.io/c/lethal-company/p/BepInEx/BepInExPack/) & [LethalLib](https://thunderstore.io/c/lethal-company/p/Evaisa/LethalLib/) & [LethalLevelLoader](https://thunderstore.io/c/lethal-company/p/IAmBatby/LethalLevelLoader/) installed.
- Download and unzip the mod.
- Merge the BepInEx folder from this zip with the one found at: (`\GAME_LOCATION\Lethal Company\BepInEx`)
- Optional: Launch and close the game to generate config file.

## Donations:
If you like my mods and want to support me feel free to drop a tip, I will be forever grateful😊
[![kofi](https://az743702.vo.msecnd.net/cdn/kofi3.png?v=0)](https://ko-fi.com/dantor)

## Special Thanks:
- [Scoopy](https://thunderstore.io/c/lethal-company/p/scoopy/Scoopys_Variety_Mod/) for solving all my silly questions and guiding me on my first adventure on this modding community
- [Badham_Mods](https://thunderstore.io/c/lethal-company/p/Badham_Mods/SCPFoundationDungeon/), [Evaisa](https://thunderstore.io/c/lethal-company/p/Evaisa/LethalLib/) and [IAmBatby](https://thunderstore.io/c/lethal-company/p/IAmBatby/LethalLevelLoader/) for their templates and great tools
